class_name SelfHealUpgrade extends "res://scenes/upgrade/upgrade.gd"

func _init() -> void:
	upgradeName = "Self Heal Upgrade"
	description = "Heal yourself after not taking damage for 10 seconds. After that you Heal 1 % health every second"

func select():
	if Globals.getPlayer() != null:
		Globals.getPlayer().selfHealUnlocked = true
